Subject: Re: 3 Serial issues up for discussion (was: Re: Serial core problems on embedded PPC)

From: Russell King <[email-masked]>
Date: Mon, 29 Jul 2002 21:18:29 +0100

On Mon, Jul 29, 2002 at 12:46:42PM -0700, Remco Treffkorn wrote:
> On Monday 29 July 2002 12:09, Dan Malek wrote:
> > or a mix of both.  The problems to solve are drivers fighting over minor
> > device numbers and assumptions about the system console.
> >
>
> Drivers need not fight about minor numbers. That can be simply handled:
>
> int get_new_serial_minor()
> {
>     static int minor;
>
>     return minor++;
> }
>
> Any serial driver can call this when it initializes a new uart.
> Hot pluggable drivers have to hang on to their minors, and
> re-use.

It's a possible solution, if we get the ability for drivers to hang
on to their minors.  However, I get the feeling that this isn't going
to happen before 2.6.

--
Russell King ([email-masked])                The developer of ARM Linux
             http://www.arm.linux.org.uk/personal/aboutme.html

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/